document: modulemd
version: 2
data:
  name: redhat-pki
  stream: 10
  summary: Red Hat PKI module
  description: A module for Red Hat PKI packages.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
      build: [rhel-8.5.0-certsys-10.3]
      golang-ecosystem: [1.0]
      pki-deps: [10.6]
    requires:
      platform: [el8]
      pki-deps: [10.6]
  references:
    community: https://www.dogtagpki.org
    documentation: https://www.dogtagpki.org
    tracker: https://github.com/dogtagpki/pki/issues
  profiles:
    common:
      rpms:
      - redhat-pki
  components:
    rpms:
      jss:
        rationale: JSS packages
        ref: stream-redhat-pki-10-LP-rhel-8.5.0-certsys-10.3
      ldapjdk:
        rationale: LDAP JDK packages
        ref: stream-redhat-pki-10-LP-rhel-8.5.0-certsys-10.3
        buildorder: 1
      tomcatjss:
        rationale: TomcatJSS packages
        ref: stream-redhat-pki-10-LP-rhel-8.5.0-certsys-10.3
        buildorder: 1
      idm-console-framework:
        rationale: IDM Console Framework packages
        ref: stream-redhat-pki-10-LP-rhel-8.5.0-certsys-10.3
        buildorder: 2
      redhat-pki:
        rationale: Red Hat PKI packages
        ref: stream-redhat-pki-10-LP-rhel-8.5.0-certsys-10.3
        buildorder: 3
